server:
  port: 9631

spring:
  profiles:
    active: ${APP_PROFILE:dev}
  application:
    name: cctp-attachment
  cloud:
    inetutils:
      timeout-seconds: 10
    nacos:
      discovery:
        namespace: ${NACOS_NAMESPACE:CCTP_PLUS_DEV}
        server-addr: ${NACOS_SERVER_URL:192.168.77.26:8848}
      config:
        enabled: false
        namespace: ${spring.cloud.nacos.discovery.namespace}
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        file-extension: yml
        config-long-poll-timeout: ${NACOS_LONG_POLL_TIMEOUT:180000}
        shared-configs[0]:
          data_id: application-common-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          group: DEFAULT_GROUP
          refresh: true
  datasource:
    name: Hikari-CCTP
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://192.168.77.26:3306/cctp_attachment?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    username: northking
    password: northking@002987
#    initialization-mode: always
#    schema: classpath:db/mysql/schema/*.sql
#    data: classpath:db/mysql/data/*.sql
    hikari:
      minimum-idle: 2
      maximum-pool-size: 5
      auto-commit: true
  redis:
    host: 192.168.77.26
    port: 6379
    password: northking@002987
    database: 1
    lettuce:
      pool:
        max-active: 2
        max-idle: 2
  rabbitmq:
    host: 192.168.77.26
    port: 5672
    virtual-host: cloud
    username: cloud
    password: 123456
  jackson:
    serialization:
      write-dates-as-timestamps: true

mybatis:
  configuration:
    map-underscore-to-camel-case: true
  mapper-locations: classpath*:mybatis/**/*.xml
  type-aliases-package: net.northking.cctp.attachment.db.entity
  configuration-properties:
    defaultSchema: cctp_attachment

nk:
  security:
    include-urls:
      - "/v1/*"
  swagger2:
    basePackage: net.northking.cctp
    title: ${spring.application.name}
    description: description
    version: 1.0
  s3:
    tls: false
    host: 192.168.84.36
    port: 9000
    access-key: cctpadmin
    secret-key: PMpKYKv0
    bucket: cctp
    use-msg-queue: true
    path:
#  data-sources:
#    writes:
#      - driver-class-name: com.mysql.cj.jdbc.Driver
#        url: jdbc:mysql://192.168.77.26:3306/common_platform?useUnicode=true&characterEncoding=utf-8&useSSL=false
#        username: northking
#        password: northking@002987
#    reads:
#      - driver-class-name: com.mysql.cj.jdbc.Driver
#        url: jdbc:mysql://192.168.77.26:3306/common_platform?useUnicode=true&characterEncoding=utf-8&useSSL=false
#        username: northking
#        password: northking@002987





